Subject: Re: bug#7338: 23.2; princ-list use mapc
From: Stefan Monnier <[email-masked]>
To: Kevin Ryde <[email-masked]>
Date: Mon, 08 Nov 2010 10:47:46 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> I suppose the byte code comes out about the same, but `mapc' on a small
> fixed-length list might in the future have a chance of being optimized
> to individual calls to , save some looping ops.

Your patch is good, thanks.

> (Presuming princ-list remains a defsubst so it expands.
> Personally I'd have been tempted not to bother inlining it.)

Yes, it seems completely useless to mark it as a defsubst.  It's not
even useful enough to merit existence; so I've marked it obsolete.

        Stefan